// библиотека для работы с модулями по интерфейсу SPI
#include <SPI.h>
// библиотека для работы со сборкой силовых ключей
#include <AmperkaFET.h>
// пин выбора сборки устройств на шине SPI
#define PIN_CS  8


// создаём объект mosfet для работы со сборкой силовых ключей
// передаём номер пина выбора устройств на шине SPI
// и количество устройств подключённых в цепочке
FET mosfet(PIN_CS, 3);

void setup() {
  // начало работы с силовыми ключами
  mosfet.begin();
}

void loop() {
  // включаем второй ключ на нулевом модуле
  mosfet.digitalWrite(0, 2, HIGH);
  // ждём пол секунды
  delay(500);
  // включаем пятый ключ на первом модуле
  mosfet.digitalWrite(1, 5, HIGH);
  // ждём пол секунды
  delay(500);
  // включаем все ключи на втором модуле
  mosfet.digitalWrite(2, ALL, HIGH);
  // ждём пол секунды
  delay(500);
  // выключаем все ключи на всех модулях
  mosfet.digitalWrite(ALL, ALL, LOW);
  // ждём пол секунды
  delay(500);
}
